Bug 136029 - up2date doesn't allow for replacing files with same name
up2date doesn't allow for replacing files with same name
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 20:31 EDT by Nikola Vouk
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikola Vouk 2004-10-16 20:31:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; hr-hr) AppleWebKit/125.5 (KHTML, like Gecko) Safari/125.9

Description of problem:
When you want to install two packages that modify the same files, an error occurs. Using rpm, you could force a write-over by issuing the --replacefiles option. No such option exists for up2date, nor does --force work. 

How is one expected to overwrite httpd.conf or other such config files?

Version-Release number of selected component (if applicable):
4.2.38-1

How reproducible:
Always

Steps to Reproduce:
1. install httpd 
2. create an rpm that has a file in it as /etc/httpd/conf/httpd.conf
3. attempt to install both files, conflict occurs
    

Actual Results:  conflict in files

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:15:57 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.